<?php
    /**
    *
    * copyright (c) 2013-2022 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "include/includeBase.php";

    session_start();
    //controllo di sicurezza, verifica che l'utente sta inviando i campi dalla pagina index.php
    if(!isset($_POST["tokenSicurezza"]) || !isset($_SESSION["tokenSicurezza"])) {
        header("Location: index.php?status=444");
    }
    else if ($_POST["tokenSicurezza"]!= $_SESSION["tokenSicurezza"]) {
        unset($_SESSION["tokenSicurezza"]);
        header("Location: index.php?status=444");
    }
    else {
        unset($_SESSION["tokenSicurezza"]);

        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);

        //dati admin
        $email    = filter_input(INPUT_POST,"email",FILTER_SANITIZE_STRING);
        $password = hash("sha512",$_POST['password']);

        $queryLogin = "SELECT * FROM geec_utenti WHERE email='$email' AND password='$password' AND (ruolo LIKE 'super admin' OR ruolo LIKE 'amministratore' OR ruolo LIKE 'addetto ai documenti')";
        $result = $geecomDb->eseguiQueryLettura($queryLogin);
        if($result->num_rows>0) {
            $admin = $result->fetch_array(MYSQLI_ASSOC);
            if($admin["stato"]=="non attivato") {
                header("Location: index.php?status=401");                    
            }
            else {                
                $_SESSION["geecomAdmin_id"]    = $admin["id"];
                $_SESSION["geecomAdmin_email"] = $admin["email"];
                $_SESSION["geecomAdmin_ruolo"] = $admin["ruolo"];
                $nomeAdmin = explode(" ",$admin["nome"]); 
                $_SESSION["geecomAdmin_nome"] = $nomeAdmin[0]; //prendo solo il primo nome, che verrà mostrato in alto a destra 
                $_SESSION["geecomAdmin_nomeCognome"] = $admin["nome"]." ".$admin["cognome"]; //usato quando si inseriscono contenuti (es articoli, gallerie) nel db

                header("Location: home.php");
            }
        }
        else {
            header("Location: index.php?status=400");
        }
    }